gameLayer = "StageLayer_1"
gameInfo:setScreensaver();
LoadResource("fonts.xml")
Sound:Reload()

LoadResource("GUI_Resource.xml")
--LoadResource("ISpyResources.xml")
LoadResource("GameResource.xml")
LoadResource("CountryRes.xml")
--LoadResource("MainMenuResource.xml")
--LoadResource("ChipsAnim.xml")
--LoadResource("MainMenuRes.xml")
--LoadResource("MapResource.xml")

GUI:LoadText("NewText.xml")
GUI:LoadText("text.xml")
--GUI:LoadText("text_artefacts.xml")
--GUI:LoadText("text_tutorial.xml")

--LoadEffects("ChipInSun.xml")
--LoadEffects("StatEffects.xml")
--LoadEffects("Flames.xml")
--LoadEffects("IspyEffects.xml")
LoadEffects("CarfagenFlame.xml")
LoadEffects("GreeceFlame.xml")
LoadEffects("BabylonFlame.xml")
LoadEffects("RomeFlame.xml")
LoadEffects("TroyFlame.xml")
LoadEffects("RomeWaterFall.xml")
LoadEffects("EgyptStorm.xml")
LoadEffects("Egypt2Flame.xml")
LoadEffects("Lamp.xml")
--LoadEffects("TimeSplash.xml")
--LoadEffects("ChipDestroy.xml")
--LoadEffects("ArtefactCollected.xml")
--LoadEffects("ArtDustMy.xml")
--LoadEffects("LeavesDrop.xml")
--LoadEffects("Bubble.xml")
--LoadEffects("StoneEffects.xml")
--LoadEffects("MapEffects.xml")
--LoadEffects("AQ3ISpyEffects.xml")
--LoadEffects("LoadScreenEffect.xml")
--LoadEffects("PressEffect.xml")
--LoadEffects("HiScores.xml")
--LoadEffects("ISpyBonusEffects.xml")
--LoadEffects("LightLampOnField.xml")
--LoadEffects("SymbolMenuEffect.xml")
--LoadEffects("CrystalLightEffect.xml")
--LoadEffects("MultFlame.xml")
--LoadEffects("SunActive.xml")
--LoadEffects("bonus-ispy-effects.xml")
--LoadEffects("AltarStoneStar.xml")
--LoadEffects("OneWildDot.xml")
--LoadEffects("MenuEffects.xml")

LoadParticles("RainParticleEffect.xml")
LoadEffects("RainParticleEffect.xml")

LoadParticles("country_effects.xml")
LoadEffects("country_effects.xml")

--LoadParticles("Sunset.xml")
--LoadEffects("Sunset.xml")

LoadParticles("effects.xml")
LoadEffects("effects.xml")

--LoadParticles("MapArrows.xml")
--LoadEffects("MapArrows.xml")

--LoadParticles("StringEffects.xml")
--LoadEffects("StringEffects.xml")

--LoadArtefacts()

GUI:LoadLayers("Cross_GUI.xml")
--GUI:LoadLayers("Stat_GUI.xml")
--GUI:LoadLayers("LoadScreen_GUI.xml")
--GUI:LoadLayers("MyMainMenuGUI.xml")
GUI:LoadLayers("GameField_GUI.xml")
--GUI:LoadLayers("Hint_GUI.xml")
--GUI:LoadLayers("Countries_GUI.xml")

--GUI:LoadLayers("ISpyFieldControl_GUI.xml")
--GUI:LoadLayers("MenuInGameAQ3_GUI.xml")
--GUI:LoadLayers("Tutorial_GUI.xml")

local sndVolume = gameInfo:getSoundVolume()
local musVolume = gameInfo:getMusicVolume()
local envVolume = gameInfo:getEnvironmentVolume()

Sound:SetSoundVolume(sndVolume)
Sound:SetMusicVolume(musVolume)
Sound:SetEnvironmentVolume(envVolume)

--Sound:SetSoundVolume(0)
--Sound:SetMusicVolume(0)
--Sound:SetEnvironmentVolume(0)

local iFullscreen = "0"
if gameInfo:getFullscreen() then
	iFullscreen = "1"
end

local iCCursor = "0"
if gameInfo:getCustomCursor() then
	iCCursor = "1"
end
	InitPlaneRain()
	UploadResourceGroup("Fon")
	GUI:getLayer("StageLayer_1"):getWidget("GameField"):AcceptMessage(Message("SetPreviewSSMode", 1))
	gameInfo:setPreviewSSMode(true)

	local message = gameInfo:RunFirstScreensaverBG()

	if (message:getData() ~= "") then
		param = VariableSet()
		param:setString("Layer1", message:getData())
		param:setString("CrossHandler", "UploadScreensaverBG")
		kernel:addController(controlFactory:Create("OldCrossFade", param))	
		Sound:FadeOutAllTracks(1.0)
	else 
		CloseApplication()
	end
